variables:
  GIT_SSL_NO_VERIFY: "true"
  GIT_SUBMODULE_STRATEGY: "recursive"
  GIT_DEPTH: "3"
  NAMESPACE: pyrene-dev
  PROJECT: talos_metapkg_ros_control_sot
  IMAGE: "${CI_REGISTRY}/${NAMESPACE}/${PROJECT}"

cache:
  paths:
    - build/ccache


.robotpkg-talos-metapkg-ros-control-sot: &robotpkg-talos-metapkg-ros-control-sot
  variables:
    ROBOTPKG: talos-metapkg-ros-control-sot
    CATEGORY: wip
  before_script:
    - mkdir -p build/ccache
    - cd build
    - export CCACHE_BASEDIR=${PWD}
    - export CCACHE_DIR=${PWD}/ccache
  script:
    - cd /root/robotpkg/${CATEGORY}/${ROBOTPKG}
    - git pull
    - echo "MASTER_REPOSITORY = git ${CI_PROJECT_DIR}" >> Makefile
    - echo "REPOSITORY.talos-metapkg-ros-control-sot = git ${CI_PROJECT_DIR}" >> /opt/openrobots/etc/robotpkg.conf
    - make checkout
    - make install
    - cd work.*/${PROJECT}*/
  except:
    - gh-pages


robotpkg-talos-metapkg-ros-control-sot-14.04:
  <<: *robotpkg-talos-metapkg-ros-control-sot
  image: ${IMAGE}:14.04

robotpkg-talos-metapkg-ros-control-sot-16.04:
  <<: *robotpkg-talos-metapkg-ros-control-sot
  image: ${IMAGE}:16.04
  
robotpkg-talos-metapkg-ros-control-sot-dubnium:
  <<: *robotpkg-talos-metapkg-ros-control-sot
  image: ${IMAGE}:dubnium
